2011-08-29  Sebastien Pouliot  <sebastien@xamarin.com>

	Fix bug #380. Patch from bnc#605795 were not committed to master
	but part of MonoTouch 3.x (ended up missing in MT4)

2011-08-02  Atsushi Eno  <atsushi@ximian.com>

	part of fix bug #41. MessageParameterAttribute is considered for
	return value.

	Conflicts:

	mcs/class/System.ServiceModel/System.ServiceModel.Description/MessagePartDescription.cs

2011-07-19  Atsushi Eno  <atsushieno@veritas-vos-liberabit.com>

	support action parameter in SOAP 1.2 content type. Close pull
	request #133.

2011-05-11  Atsushi Eno  <atsushi@ximian.com>

	Add PipeException. fixed bug #692987 by Eberhard Beilharz.

2011-05-10  Atsushi Eno  <atsushi@ximian.com>

	Add new MetadataSetTest and fix couple of minor issues.

2011-05-09  Atsushi Eno  <atsushi@ximian.com>

	ongoing XmlSerializerMessageContractImporter work.

	It is part of bugfix #670945.

2011-04-30  Geoff Norton  <grompf@sublimeintervention.com>

	Avoid doubly declaring some types in the 2.1 profile for mobile

2011-04-25  Atsushi Eno  <atsushi@ximian.com>

	Log net.tcp transport messages too.

2011-04-25  Atsushi Eno  <atsushi@ximian.com>

	Actual source directory changes after changing namespaces.

2011-04-21  Atsushi Eno  <atsushi@ximian.com>

	Use XPathNavigator output in WCF diagnostics. Got sorta-valid
	message trace.

2011-04-14  Atsushi Eno  <atsushi@ximian.com>

	Add ServiceKnownTypeAttributeTest.

2011-04-08  Atsushi Eno  <atsushi@ximian.com>

	Add XmlSerializerFormatAttribute support in mobile profiles.

	Unlike moonlight, XmlSerializer is in the framework lib (sys.xml),
	so we don't have to split them out to Sys.Xml.Serialization.dll.

2011-04-08  Atsushi Eno  <atsushi@ximian.com>

	Split XmlMessagesFormatter out. It is for use in
	Sys.Xml.Serialization.dll.

	XmlMessagesFormatter will be used in Sys.Xml.Serialization.dll and
	this type should not be excluded by !NET_2_1 or !MOONLIGHT. It is
	not doable if this class is in BaseMessagesFormatter.cs.

2011-04-07  Atsushi Eno  <atsushi@ximian.com>

	DataContractSerializerOperationBehavior is done too. Fix
	moonlight_raw build.

2011-04-04  Atsushi Eno  <atsushi@ximian.com>

	Add WCF diagnostics implementation (not working yet).

2011-03-16  Atsushi Eno  <atsushi@ximian.com>

	Add endpoint behavior support in NET_2_1, which involved not a few
	additions.

2011-03-07  Atsushi Eno  <atsushi@ximian.com>

	Replace SRE-based client proxy generator with RealProxy.

	Now PE verified workaround should be unnecessary.

2011-02-16  Atsushi Eno  <atsushi@ximian.com>

	xsi:type parsing is wrong in default namespace resolution.

	Fixed case #3 in bug #652331.

2011-02-09  Atsushi Eno  <atsushi@ximian.com>

	Support ServiceKnownTypes. Fixed another case on bug #652331.

2011-01-21  Atsushi Eno  <atsushi@ximian.com>

	And rename source file name.

2010-11-04  Carlos Alberto Cortez  <calberto.cortez@gmail.com>

	* System.ServiceModel_test.dll.sources: Add
	MsmqTransportSecurityTest.cs, CustomPolicyConversionContext.cs,
	ConnectionOrientedTransportBindingElementTest.cs, and
	MsmqBindingElementBaseTest.cs to our test build.

2010-10-20  Marek Habersack  <grendel@twistedcode.net>

	[wcf] make /js and /jsdebug dispatchers work.

	There were several issues here:

	- The IChannelDispatcherBoundListener was defined twice, in two
	different namespaces, and it caused code in
	ChannelDispatcher.Attach not to set its associated listener's
	ChannelDispatcher property to the correct value. This, in turn,
	caused incorrect HttpListenerManagerTable operation, where it
	would put the "/js" and "/jsdebug" dispatchers in separate
	HttpListenerManagers, instead of in the main (base) service's one.
	- After fixing the above, it turned out that SvcHttpHandler
	selected the manager based on the host's base address, when it
	should first try to find one whose URL matches the current request
	exactly.

2010-10-14  Atsushi Eno  <atsushi@ximian.com>

	Add SecurityDuplexSessionChannel, and making room for duplex
	channel, phase 2.

2010-09-16  Atsushi Eno  <atsushi@ximian.com>

	Add ProtocolMapping support.

2010-09-13  Atsushi Eno  <atsushi@ximian.com>

	implemented large parts of WCF standard endpoints and
	configuration support.

2010-09-10  Atsushi Eno  <atsushi@ximian.com>

	Remove USE_DATA_CONTRACT_IMPORTER conditional compilation flag.

2010-09-10  Jb Evain  <jbevain@gmail.com>

	Add another stub for the compatibility with the SL SDK

2010-09-08  Jb Evain  <jbevain@gmail.com>

	Factorize the System.ServiceModel monotouch and monodroid sources
	into a mobile.sources

2010-09-08  Jb Evain  <jbevain@gmail.com>

	Enable the System.ServiceModel build for monodroid

2010-07-30  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add 4.0 standard endpoint types.

2010-07-12  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: remove SecurityHandler.cs

2010-07-12  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources:
	  move MessageSecurityBindingSupport.cs too.

2010-07-12  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: moved bunch of security internal
	  classes to System.ServiceModel.Channels.Security directory.

2010-07-12  Astushi Enomoto  <atsushi@ximian.com>

	* Dummy_2_1.cs : add internal namespaces.
	* System.ServiceModel.dll.sources: add SecurityReplyChannel.cs

2010-07-05  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources :
	  renamed new HTTP channel listener implementation sources, and
	  removed old sources.

2010-06-28  Astushi Enomoto  <atsushi@ximian.com>

	* HTTP_listener_notes.txt : updated, things became much better.

2010-06-24  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources :
	  add new HTTP channel listener implementation sources.

	  Old sources will be kept for a while, won't entirely vanish as
	  ASP.NET support will live there.

2010-05-28  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : remove old code from winfx beta.

2010-04-28  Marek Habersack  <mhabersack@novell.com>

	* Makefile (LIB_MCS_FLAGS): added a reference to
	System.Web.ApplicationServices in the 4.0 profile.

2010-04-23  Astushi Enomoto  <atsushi@ximian.com>

	* Http_listener_notes.txt: update comment, as I have fixed one issue
	  with lengthy explanation.

2010-04-21  Astushi Enomoto  <atsushi@ximian.com>

	* Http_listener_notes.txt: more comment.

2010-04-20  Astushi Enomoto  <atsushi@ximian.com>

	* Http_listener_notes.txt: added explanation on *why* it is SO hard
	  to solve.

2010-04-05  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : add some new config types and
	  ChannelTerminatedException.cs.

2010-04-02  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources : add some new fault tests.

2010-03-24  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : move back all the Features tests
	  that were once disabled (now we can handle mannerless tests).

2010-03-19  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : remove unused class.
	* HTTP_listener_notes.txt : add some more comments.

2010-03-18  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources :
	  Add Constants.cs and XPathMessageContextTest.cs.

2010-03-18  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : added some missing types.

2010-03-17  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources :
	  add MetadataExchangeBindingsTest.cs.

2010-03-16  Jb Evain  <jbevain@novell.com>

	* net_2_1_*.dll.sources: rename to moonlight_*.dll.sources.

2010-03-15  Astushi Enomoto  <atsushi@ximian.com>

	* net_4_0_System.ServiceModel.dll.sources:
	  more types from Sys.SM.Web.dll in 4.0 profile here.

2010-03-15  Astushi Enomoto  <atsushi@ximian.com>

	* Dummy_2_1.cs : added cosmetic silverlight sdk compatibility stuff.

2010-03-11  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources,
	  net_2_1_raw_System.ServiceModel.dll.sources:
	  added XmlName.cs.

2010-02-19  Astushi Enomoto  <atsushi@ximian.com>

	* Makefile: enable USE_DATA_CONTRACT_IMPORTER as
	  memorabilia.hardrock now works. (Will be removed when I remove
	  relevant code.)

2010-02-10  Astushi Enomoto  <atsushi@ximian.com>

	* Makefile: sigh, just disable it. make dist is somehow broken.

2010-02-10  Astushi Enomoto  <atsushi@ximian.com>

	* Makefile: does extra dist fail to accept *.xml ?

2010-02-10  Astushi Enomoto  <atsushi@ximian.com>

	* Makefile: add test xml files to extra dist.

2010-02-08  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources:
	  renamed MetadataBundle.cs to MetadataSet.cs.

2010-02-05  Astushi Enomoto  <atsushi@ximian.com>

	* Dummy_2_1.cs : remove AuthenticationSchemes. It blocks MT support.

2010-02-04  Astushi Enomoto  <atsushi@ximian.com>

	* Dummy.cs, net_2_1_raw_System.ServiceModel.dll.sources : add some
	  classes out of dummy, for monotouch (hidden in 2.1 profile).

2010-02-04  Astushi Enomoto  <atsushi@ximian.com>

	* HTTP_listener_notes.txt: Fixed some wrong description, simplified
	  some, and updated some.

2010-02-04  Astushi Enomoto  <atsushi@ximian.com>

	* HTTP_listener_notes.txt: some notes updated.

2010-02-03  Astushi Enomoto  <atsushi@ximian.com>

	* HTTP_listener_notes.txt: I couldn't help but write about it to
	  not keep myself confused by this complicated stuff.

2010-01-20  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources: move back some FeatureBased
	  tests.

2010-01-18  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : added new security version types.

2010-01-15  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add SL config loader here
	  for easy debugging under 2.0 profile.

2010-01-13  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources :
	  add EndpointAddressBuilder.cs.

2010-01-13  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources :
	  add FaultContractInfo.cs.

2010-01-13  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources :
	  add HttpCookieContainerBindingElement.cs.

2010-01-07  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources : ended up to remove
	  *all* mannerless serialization tests.

2010-01-06  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources : ended up to remove
	  mannerless tests that block other tests.

2009-12-03  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources:
	  added HttpsTransportBindingElementTest.cs.

2009-11-26  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources : fix file name case,
	  which was not caught on windows.

2009-11-25  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources, Dummy_2_1.cs:
	  reflected a couple of SL3 updates.

2009-11-17  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_System.ServiceModel.dll.sources :
	  add binary message encoder support.

2009-11-12  Astushi Enomoto  <atsushi@ximian.com>

	* net_4_0_System.ServiceModel.dll.sources : 4.0 dll contains
	  syndication stuff (moved from Sys.SM.Web.dll).

2009-10-07  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_System.ServiceModel.dll.sources :
	  add IHttpCookieContainer.cs.

2009-10-02  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add VirtualPathExtension.cs.

2009-10-01  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources:
	  add ServiceContractGeneratorTest.cs.

2009-09-26  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_System.ServiceModel.dll.sources :
	  added Http[Request|Response]MessageProperty.cs. Looks like our
	  status pages are based on old 2.0 profile.

2009-09-15  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: remove WebServiceHelper.cs.

2009-09-14  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources: add MessagePropertiesTest.cs.

2009-09-02  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources:
	  add HttpRequestMessagePropertyTest.cs

2009-08-24  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: added 
	  DuplexClientRuntimeChannel.cs and CallbackInstanceContextProvider.cs.

2009-08-20  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add more named pipe files.

2009-08-20  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources: add OperationContextTest.cs.

2009-08-19  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add named pipe files.

2009-08-11  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add DefaultOperationInvoker.cs.

2009-08-07  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add ServiceProxyGenerator.cs.

2009-07-31  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add IPeerConnectorContract.cs.

2009-07-31  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources: add ServiceEndpointTest.cs.

2009-07-28  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add TransactionFlowAttribute.cs.

2009-07-23  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources:
	  split out binary frame manager class into separate file.

2009-07-21  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add TcpReplyChannel.

2009-07-20  Jb Evain  <jbevain@novell.com>

	* Makefile: filter the valid profile on the framework version,
	to make it easier to have custom variants.

2009-07-17  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: add TcpRequestChannel.

2009-07-14  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources:
	  add CallbackBehaviorAttributeTest.cs.

2009-07-07  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources:
	  Added new custom peer resolver files.

2009-07-07  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources:
	  add PeerNodeAddressTest.cs.

2009-06-25  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources:
	  add SessionInstanceContextProvider.cs.

2009-06-09  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources:
	  add ServiceThrottlingBehaviorTest.

2009-06-08  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: renamed a file.

2009-06-05  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources: Remove 
	ClientAccessPolicy.cs, CrossDomainPolicy.cs and 
	CrossDomainAccessManager.cs since the code and checks is now done
	inside System.Windows.Browser.dll, by BrowserHttpWebRequest, for
	every non-site-or-origin web connection - i.e. http[s]

2009-05-26  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: cosmetic file renaming.

2009-05-25  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll_test.sources:
	  added PeerResolverSerializationTest.cs.

2009-05-15  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll_test.sources: added MessageFaultTest.cs.

2009-05-13  Astushi Enomoto  <atsushi@ximian.com>

	* Makefile : remove xlinq dependency.

2009-04-28  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll_test.sources: added
	  BinaryMessageEncodingBindingElementTest.cs.

2009-04-21  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources: Remove 
	MonoTODOAttribute since we can get it from mscorlib.dll

2009-04-20  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources:
	  added several Peer transport support files.
	* System.ServiceModel.dll_test.sources: added
	  NetPeerTcpBindingTest.cs and PeerTransportBindingElementTest.cs.

2009-04-08  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources:
	  added PeerTransportSecuritySettings.cs.
	* Makefile: use -r:System.Core in non-2.1 build too.

2009-04-07  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources: added NetTcpBindingTest.cs.

2009-04-07  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources: added IOnlineStatus.cs.

2009-03-05  Astushi Enomoto  <atsushi@ximian.com>

	* Makefile : added /r:System.Xml.Linq in 2.1 too.

2009-03-04  Astushi Enomoto  <atsushi@ximian.com>

	* Makefile : add /r:System.Core in 2.1 build.

2009-03-04  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources :
	  added cross domain checker sources.

2009-02-19  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources,
	  net_2_1_raw_System.ServiceModel.dll.sources :
	  added CodeTryBlock.cs.

2009-01-22  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources :
	  added SilverlightClientConfigLoader.cs.

2009-01-14  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources,
	  net_2_1_raw_System.ServiceModel.dll.sources :
	  added missing exception types (corcompare work).

2009-01-14  Astushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources :
	  added ClientBase_InteractiveChannelInitializerTest.cs.

2009-01-07  Astushi Enomoto  <atsushi@ximian.com>

	* net_2_1_raw_System.ServiceModel.dll.sources : add OperationContext
	  and OperationContextScope to 2.1 build.

2008-09-12  Astushi Enomoto  <atsushi@ximian.com>
            Jb Evain  <jbevain@novell.com>

	* Makefile: support net_2_1_raw compilation profile.
	* net_2_1_raw_System.ServiceModel.dll.sources

	* *.cs: SL2 compilation support.

2008-05-22  Roei Erez  <roeie@mainsoft.com>
	* fix ContractDescription.GetContract implementation
	* Refactor Request processing
	* Add support for message inspectors
	* Add support for InstanceContextProvider & InstanceProvider, including lifecycles events
	like: ReleaseServiceInstance, Open, Close...
	* Add relevant test cases.

2008-04-21  Igor Zelmanovich <igorz@mainsoft.com>

	* System.ServiceModel_test.dll.sources: Add ServiceDebugBehaviorTest.cs and
	ServiceMetadataBehaviorTest.cs.

2008-04-17  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* System.ServiceModel.dll.sources: added HttpChannelManager.cs

2008-04-14  Igor Zelmanovich <igorz@mainsoft.com>

	* System.ServiceModel_test.dll.sources: Add ExtensionCollectionTest.cs.

2008-04-13  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* added: System.ServiceModel_Test.csproj, visual studio tests project

2008-04-10  Eyal Alaluf <eyala@mainsoft.com>

	* System.ServiceModel.dll.sources, System.ServiceModel.csproj:
	  Moved System.ServiceModel.Dispatcher/DefaultMessageOperationFormatter.cs
	  to System.ServiceModel.Dispatcher/BaseMessagesFormatter.cs.
	  Removed System.ServiceModel.Description/ServiceModelInternalConverter.cs.

2008-04-01  Roei Erez <roeie@mainsoft.com>

	* System.ServiceModel_test_net_3_0.dll.config: Added configurations for new tests.

2008-04-01  Igor Zelmanovich <igorz@mainsoft.com>

	* System.ServiceModel_test.dll.sources: Add ServiceHostBaseTest.cs.

2008-03-27  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : add System.ServiceModel_test_net_3_0.dll.config to
	  EXTRA_DISTFILES too.

2008-03-27  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : include Test/config/* in EXTRA_DISTFILES to fix
	  nunit test failures.

2008-03-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : more EXTRA_DISTFILES.

2008-03-11  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : oops, wrong EXTRA_DISTFILES.

2008-03-11  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : add EXTRA_DISTFILES.

2008-02-28  Eyal Alaluf <eyala@mainsoft.com>

	* System.ServiceModel_test_net_3_0.dll.config: Add configurations for
	  testing ClientBase<T> ctors.

2008-02-27  Eyal Alaluf <eyala@mainsoft.com>

	* Makefile: Ignore common warnings including use of obsolete API (since
	  Mono.Security.* has several such warnings).

2007-12-05  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added net_3_5 profile as a valid target.

2007-08-18 Marcos Cobena (marcoscobena@gmail.com)

	* System.ServiceModel_test.dll.sources: Updated with new tests for System.ServiceModel.PeerResolvers.
	* Test/System.ServiceModel.PeerResolvers/CustomPeerResolverServiceTest.cs: New bunch of tests.

2007-08-16 Marcos Cobena (marcoscobena@gmail.com)

	* System.ServiceModel.dll.sources: Updated with System.ServiceModel.PeerResolvers/PeerReferralPolicy.cs.
	* PeerReferralPolicy.cs: Moved and updated here from AllEnums.cs.
	* PeerResolverMode.cs: Updated API.
	* RefreshResult.cs: Updated API.
	* RegisterInfo.cs: Almost finished, minus HasBody().
	* AllEnums.cs: PeerReferralPolicy lives now inside System.ServiceModel.PeerResolvers.

2007-07-19 Marcos Cobena (marcoscobena@gmail.com)

	* PeerCustomResolverSettings.cs, PeerResolverMode.cs, PeerResolverSettings.cs, 
		PeerSecuritySettings.cs: New implementations.
	* System.ServiceModel.dll.sources, AllEnums.cs, Dummy.cs: Updated to added sources.
	* NetPeerTcpBinding.cs: Added support to new above implementations.

2007-07-18 Marcos Cobena (marcoscobena@gmail.com)

	* TcpChannelListener.cs, TcpDuplexSessionChannel.cs: Text messaging now works 
		(both Send() and Receive()), even mixing .NET version with Mono one.
	* TcpChannelListener.cs: By default, it uses BinaryMessageEncoder.		

2007-07-17 Marcos Cobena (marcoscobena@gmail.com)

	* DuplexSessionChannelBase.cs, TcpChannelListener.cs, TcpDuplexSessionChannel.cs, 
		TcpTransportBindingElement.cs: Thanks to Atsushi Eno, it starts messaging.

2007-07-12 Marcos Cobena (marcoscobena@gmail.com)

	* DuplexSessionChannelBase.cs, TcpChannelFactory.cs, TcpChannelListener.cs, 
		TcpDuplexSessionChannel.cs: Added new implementations.
	* NetTcpBinding.cs, TcpTransportBindingElement.cs: Modified to match new TCP implementations.
	* System.ServiceModel.dll.sources: Updated to last classes set.

2007-07-05  Atsushi Enomoto  <atsushi@ximian.com>

	Makefile : added -r:System.Messaging.dll

2007-06-28 Marcos Cobena (marcoscobena@gmail.com)

	* System.ServiceModel.dll.sources, System.ServiceModel\Dummy.cs : 
	Modified to match new files under System.ServiceModel.PeerResolvers.

2007-04-20  Atsushi Enomoto  <atsushi@ximian.com>

	Makefile : added ws-addr.xsd as a resource.

2007-04-17  Atsushi Enomoto  <atsushi@ximian.com>

	* fixup-config.xml : updated config section types.

2007-03-05  Atsushi Enomoto  <atsushi@ximian.com>

	Makefile : added -r:Mono.Security.dll and some nowarns.

2007-02-27  Wade Berrier  <wberrier@novell.com>

	* Makefile: include resource files in EXTRA_DISTFILES

2006-10-13  Atsushi Enomoto  <atsushi@ximian.com>

	* fixup-config2.cs, fixup-config2.xml :
	  It is used to add svc. -> SvcHttpHandler mapping in web.config.

2006-10-04  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel.dll.sources: Update.

2006-09-29  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel.dll.sources: Update.

2006-09-26  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel.dll.sources: Update.

2006-09-07  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel_test.dll.sources: Add WsdlExporterTest.cs

2006-07-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : it used to be referenced by S.IM.Selectors.dll.
	  Nowadays it references S.IM.Selectors.dll.

2006-07-13  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel_test.dll.sources: Add MetadataResolverTest.cs

2006-07-12  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel.dll.sources: Update for June CTP changes. Add
	EndpointAddress10.cs

2006-07-04  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : add path to referenced assemblies as gmcs always loads
	  them from the GAC.

2006-07-03  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel.dll.sources: Update for June CTP changes.

2006-07-03  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel.dll.sources: Add IMetadataExchange.cs and
	MetadataExchangeBinding.cs . Update to match changes in June CTP.

2006-06-30  Atsushi Enomoto  <atsushi@ximian.com>

	* fixup-config.xml : updated to match June CTP config types.

2006-06-27  Atsushi Enomoto  <atsushi@ximian.com>

	* fixup-config.xml : bindings section has binding sub sections.

2006-06-27  Atsushi Enomoto  <atsushi@ximian.com>

	* fixup-config.cs : now it supports updating.
	* fixup-config.xml : "bindings" is in fact just a section.
	  MS bad naming on class.

2006-06-26  Atsushi Enomoto  <atsushi@ximian.com>

	* fixup-config.cs, fixup-config.xml : when you try configuration
	  support, you can run fixup-config.exe and then supplemental
	  config sections are added.

2006-06-12  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : remove extra option.

2006-06-12  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel.dll.sources: Add
	System.ServiceModel.Description/MetadataSectionSerializerBase.cs
	* System.ServiceModel_test.dll.sources: Add
	System.ServiceModel.Description/WsdlImporterTest.cs

2006-06-12  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : use Mono.CodeGeneration.

2006-04-26  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel_test.dll.sources : Add
	System.ServiceModel.Description/WebServiceHelper.cs .

2006-02-11  Ankit Jain  <jankit@novell.com>

	* System.ServiceModel_test.dll.sources : Add
	ServiceHostTest.cs and UriSchemeKeyedCollectionTest.cs 

2005-10-19  Atsushi Enomoto  <atsushi@ximian.com>

	* winfx.pub : new set of assembly, thus new public key.

2005-10-09  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : eliminated some warning noises.

2005-10-08  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : addded /r:System.Transactions.

2005-09-29  Duncan Mak  <duncan@novell.com>

	* Makefile (RESOURCE_FILES): Include
	resources/WS-Addressing.schema.
	(LIB_MCS_FLAGS): Add "/resource:" flag.

2005-09-29  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel_test.dll.sources : required for make run-test.

2005-09-29  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : regenerated to add new files.

2005-09-29  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : regenerated to add new files.

2005-09-29  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : reference to sys.configuration.dll.
	* System.ServiceModel.dll.sources : regenerated to add new files.

2005-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : regenerated to add new files.

2005-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : further regen.

2005-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : regenerated to add new files.

2005-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : regenerated to add new files.

2005-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : regenerated to add new files.

2005-09-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : regenerated to add new files.

2005-09-27  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : regenerated to add new files.

2005-09-27  Atsushi Enomoto  <atsushi@ximian.com>

	* System.ServiceModel.dll.sources : added CommunicationErrorEventArgs.

2005-09-27  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : so now update-dll-sources is common target to all libs.
